# This file created by conda-build 3.20.3
# meta.yaml template originally from:
# /jenkins/workspace/rapidsai/gpuci/rmm/branches/rmm-cpu-branch-build/conda/recipes/rmm, last modified Wed Oct 21 16:32:43 2020
# ------------------------------------------------

package:
    name: rmm
    version: 0.16.0
source:
    git_url: ../../..
build:
    number: '0'
    script_env:
        - RMM_BUILD_NO_GPU_TEST
        - VERSION_SUFFIX
    string: cuda_10.2_py37_g1bcc7b1_0
requirements:
    build:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - bzip2 1.0.8 h516909a_3
        - c-ares 1.16.1 h516909a_3
        - ca-certificates 2020.6.20 hecda079_0
        - cmake 3.18.2 h3f3948e_0
        - expat 2.2.9 he1b5a44_2
        - krb5 1.17.1 hfafb76e_3
        - libcurl 7.71.1 hcdd3856_8
        - libedit 3.1.20191231 he28a2e2_2
        - libev 4.33 h516909a_1
        - libgcc-ng 9.3.0 h5dbcf3e_17
        - libgomp 9.3.0 h5dbcf3e_17
        - libnghttp2 1.41.0 h8cfc5f6_2
        - libssh2 1.9.0 hab1572f_5
        - libstdcxx-ng 9.3.0 h2ae2ef3_17
        - libuv 1.40.0 hd18ef5c_0
        - ncurses 6.2 he1b5a44_2
        - openssl 1.1.1h h516909a_0
        - rhash 1.3.6 h516909a_1001
        - tk 8.6.10 hed695b0_1
        - xz 5.2.5 h516909a_1
        - zlib 1.2.11 h516909a_1010
    host:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - ca-certificates 2020.6.20 hecda079_0
        - certifi 2020.6.20 py37he5f6b98_2
        - cudatoolkit 10.2.89 h6bb024c_0
        - cython 0.29.21 py37hb892b2f_1
        - ld_impl_linux-64 2.35 h769bd43_9
        - libffi 3.2.1 he1b5a44_1007
        - libgcc-ng 9.3.0 h5dbcf3e_17
        - libgomp 9.3.0 h5dbcf3e_17
        - librmm 0.16.0 cuda10.2_g1bcc7b1_0
        - libstdcxx-ng 9.3.0 h2ae2ef3_17
        - ncurses 6.2 he1b5a44_2
        - openssl 1.1.1h h516909a_0
        - pip 20.2.4 py_0
        - python 3.7.8 h6f2ec95_1_cpython
        - python_abi 3.7 1_cp37m
        - readline 8.0 he28a2e2_2
        - setuptools 49.6.0 py37he5f6b98_2
        - spdlog 1.7.0 hc9558a2_2
        - sqlite 3.33.0 h4cf870e_1
        - tk 8.6.10 hed695b0_1
        - wheel 0.35.1 pyh9f0ad1d_0
        - xz 5.2.5 h516909a_1
        - zlib 1.2.11 h516909a_1010
    run:
        - cudatoolkit >=10.2.89,<10.3.0a0
        - librmm >=0.16.0,<0.17.0a0
        - numba >=0.49
        - numpy
        - python >=3.7,<3.8.0a0
        - python_abi 3.7.* *_cp37m
test:
    commands:
        - python -c "import rmm"
about:
    home: http://rapids.ai/
    license: Apache-2.0
    license_family: Apache
    license_file: LICENSE
    summary: rmm library
extra:
    copy_test_source_files: true
    final: true
